using System;

namespace Steganography
{

	public class Bit
	{

		public static void Replace(ref byte b, int pos, byte value) {		
			b = (byte) (value == 1 ? b | (1 << pos) : b & ~(1 << pos));
		}

		public static byte Extract(byte b, int pos) {
			return (byte) ((b & (1 << pos)) >> pos);			
		}

	}
}
