using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Steganography;

namespace SteganographyGUI
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.TabPage tabEncoding;
		private System.Windows.Forms.TabPage tabDecoding;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.PictureBox picCover;
		private System.Windows.Forms.Label lblSelectCover;
		private System.Windows.Forms.TextBox txtCover;
		private System.Windows.Forms.Button btnCover;
		private System.Windows.Forms.Button btnEncode;
		private System.Windows.Forms.GroupBox groupBox3;
		private System.Windows.Forms.PictureBox picStegoFileEnc;
		private System.Windows.Forms.GroupBox grpMessageEnc;
		private System.Windows.Forms.TextBox txtMessageEnc;
		private System.Windows.Forms.Label lblPasswordEnc;
		private System.Windows.Forms.TextBox txtPasswordEnc;
		private System.Windows.Forms.PictureBox picStegoFileDec;
		private System.Windows.Forms.Label lblStegoFile;
		private System.Windows.Forms.Button btnStegoFile;
		private System.Windows.Forms.Label lblPasswordDec;
		private System.Windows.Forms.TextBox txtPasswordDec;
		private System.Windows.Forms.Button btnDecode;
		private System.Windows.Forms.GroupBox grpMessageDec;
		private System.Windows.Forms.TextBox txtMessageDec;
		private System.Windows.Forms.Label lblStegoFilename;
		private System.Windows.Forms.TextBox txtStegoFileDec;
		private System.Windows.Forms.TextBox txtStegoFileEnc;
		private System.Windows.Forms.Button btnStegoFileEnc;
        private TabPage tabPage1;
        private MenuStrip menuStrip1;
        private ToolStripMenuItem fileToolStripMenuItem;
        private ToolStripMenuItem exitToolStripMenuItem;
        private ToolStripMenuItem viewToolStripMenuItem;
        private ToolStripMenuItem fullScreenToolStripMenuItem;
        private ToolStripMenuItem helpToolStripMenuItem;
        private ToolStripMenuItem howToUseToolStripMenuItem;
        private ToolStripMenuItem contentsToolStripMenuItem;
        private Label label1;
        private TextBox textBox1;
        private GroupBox groupBox4;
        private PictureBox pictureBox1;
        private Label label2;
        private Button button1;
        private Button button2;
        private Label label4;
        private ProgressBar progressBar1;
        private TextBox textBox3;
        private Label label3;
        private TextBox textBox2;
        private Button button3;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.tabControl1 = new System.Windows.Forms.TabControl();
            this.tabEncoding = new System.Windows.Forms.TabPage();
            this.btnStegoFileEnc = new System.Windows.Forms.Button();
            this.txtStegoFileEnc = new System.Windows.Forms.TextBox();
            this.lblStegoFilename = new System.Windows.Forms.Label();
            this.btnEncode = new System.Windows.Forms.Button();
            this.txtPasswordEnc = new System.Windows.Forms.TextBox();
            this.lblPasswordEnc = new System.Windows.Forms.Label();
            this.grpMessageEnc = new System.Windows.Forms.GroupBox();
            this.txtMessageEnc = new System.Windows.Forms.TextBox();
            this.btnCover = new System.Windows.Forms.Button();
            this.txtCover = new System.Windows.Forms.TextBox();
            this.lblSelectCover = new System.Windows.Forms.Label();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.picStegoFileEnc = new System.Windows.Forms.PictureBox();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.picCover = new System.Windows.Forms.PictureBox();
            this.tabDecoding = new System.Windows.Forms.TabPage();
            this.grpMessageDec = new System.Windows.Forms.GroupBox();
            this.txtMessageDec = new System.Windows.Forms.TextBox();
            this.btnDecode = new System.Windows.Forms.Button();
            this.txtPasswordDec = new System.Windows.Forms.TextBox();
            this.lblPasswordDec = new System.Windows.Forms.Label();
            this.btnStegoFile = new System.Windows.Forms.Button();
            this.txtStegoFileDec = new System.Windows.Forms.TextBox();
            this.lblStegoFile = new System.Windows.Forms.Label();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.picStegoFileDec = new System.Windows.Forms.PictureBox();
            this.tabPage1 = new System.Windows.Forms.TabPage();
            this.label1 = new System.Windows.Forms.Label();
            this.textBox1 = new System.Windows.Forms.TextBox();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            this.menuStrip1 = new System.Windows.Forms.MenuStrip();
            this.fileToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.exitToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.viewToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.fullScreenToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.helpToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.howToUseToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.contentsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
            this.button1 = new System.Windows.Forms.Button();
            this.label2 = new System.Windows.Forms.Label();
            this.textBox2 = new System.Windows.Forms.TextBox();
            this.label3 = new System.Windows.Forms.Label();
            this.textBox3 = new System.Windows.Forms.TextBox();
            this.progressBar1 = new System.Windows.Forms.ProgressBar();
            this.label4 = new System.Windows.Forms.Label();
            this.button2 = new System.Windows.Forms.Button();
            this.button3 = new System.Windows.Forms.Button();
            this.tabControl1.SuspendLayout();
            this.tabEncoding.SuspendLayout();
            this.grpMessageEnc.SuspendLayout();
            this.groupBox2.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.picStegoFileEnc)).BeginInit();
            this.groupBox1.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.picCover)).BeginInit();
            this.tabDecoding.SuspendLayout();
            this.grpMessageDec.SuspendLayout();
            this.groupBox3.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.picStegoFileDec)).BeginInit();
            this.tabPage1.SuspendLayout();
            this.groupBox4.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            this.menuStrip1.SuspendLayout();
            this.SuspendLayout();
            // 
            // tabControl1
            // 
            this.tabControl1.Controls.Add(this.tabEncoding);
            this.tabControl1.Controls.Add(this.tabDecoding);
            this.tabControl1.Controls.Add(this.tabPage1);
            this.tabControl1.Location = new System.Drawing.Point(0, 27);
            this.tabControl1.Name = "tabControl1";
            this.tabControl1.SelectedIndex = 0;
            this.tabControl1.Size = new System.Drawing.Size(648, 493);
            this.tabControl1.TabIndex = 0;
            this.tabControl1.SelectedIndexChanged += new System.EventHandler(this.tabControl1_SelectedIndexChanged);
            // 
            // tabEncoding
            // 
            this.tabEncoding.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(192)))), ((int)(((byte)(255)))));
            this.tabEncoding.Controls.Add(this.btnStegoFileEnc);
            this.tabEncoding.Controls.Add(this.txtStegoFileEnc);
            this.tabEncoding.Controls.Add(this.lblStegoFilename);
            this.tabEncoding.Controls.Add(this.btnEncode);
            this.tabEncoding.Controls.Add(this.txtPasswordEnc);
            this.tabEncoding.Controls.Add(this.lblPasswordEnc);
            this.tabEncoding.Controls.Add(this.grpMessageEnc);
            this.tabEncoding.Controls.Add(this.btnCover);
            this.tabEncoding.Controls.Add(this.txtCover);
            this.tabEncoding.Controls.Add(this.lblSelectCover);
            this.tabEncoding.Controls.Add(this.groupBox2);
            this.tabEncoding.Controls.Add(this.groupBox1);
            this.tabEncoding.Location = new System.Drawing.Point(4, 22);
            this.tabEncoding.Name = "tabEncoding";
            this.tabEncoding.Size = new System.Drawing.Size(640, 467);
            this.tabEncoding.TabIndex = 0;
            this.tabEncoding.Text = "Encoding";
            // 
            // btnStegoFileEnc
            // 
            this.btnStegoFileEnc.Location = new System.Drawing.Point(480, 399);
            this.btnStegoFileEnc.Name = "btnStegoFileEnc";
            this.btnStegoFileEnc.Size = new System.Drawing.Size(75, 23);
            this.btnStegoFileEnc.TabIndex = 19;
            this.btnStegoFileEnc.Text = "Browse...";
            this.btnStegoFileEnc.Click += new System.EventHandler(this.btnStegoFileEnc_Click);
            // 
            // txtStegoFileEnc
            // 
            this.txtStegoFileEnc.Location = new System.Drawing.Point(120, 402);
            this.txtStegoFileEnc.Name = "txtStegoFileEnc";
            this.txtStegoFileEnc.Size = new System.Drawing.Size(344, 20);
            this.txtStegoFileEnc.TabIndex = 18;
            // 
            // lblStegoFilename
            // 
            this.lblStegoFilename.Location = new System.Drawing.Point(21, 404);
            this.lblStegoFilename.Name = "lblStegoFilename";
            this.lblStegoFilename.Size = new System.Drawing.Size(100, 16);
            this.lblStegoFilename.TabIndex = 17;
            this.lblStegoFilename.Text = "Stego Path : ";
            // 
            // btnEncode
            // 
            this.btnEncode.Location = new System.Drawing.Point(480, 432);
            this.btnEncode.Name = "btnEncode";
            this.btnEncode.Size = new System.Drawing.Size(75, 23);
            this.btnEncode.TabIndex = 16;
            this.btnEncode.Text = "Encode...";
            this.btnEncode.Click += new System.EventHandler(this.btnEncode_Click);
            // 
            // txtPasswordEnc
            // 
            this.txtPasswordEnc.Location = new System.Drawing.Point(120, 434);
            this.txtPasswordEnc.Name = "txtPasswordEnc";
            this.txtPasswordEnc.Size = new System.Drawing.Size(344, 20);
            this.txtPasswordEnc.TabIndex = 15;
            // 
            // lblPasswordEnc
            // 
            this.lblPasswordEnc.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblPasswordEnc.ForeColor = System.Drawing.Color.Black;
            this.lblPasswordEnc.Location = new System.Drawing.Point(21, 432);
            this.lblPasswordEnc.Name = "lblPasswordEnc";
            this.lblPasswordEnc.Size = new System.Drawing.Size(72, 16);
            this.lblPasswordEnc.TabIndex = 14;
            this.lblPasswordEnc.Text = " Password : ";
            // 
            // grpMessageEnc
            // 
            this.grpMessageEnc.Controls.Add(this.txtMessageEnc);
            this.grpMessageEnc.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.grpMessageEnc.ForeColor = System.Drawing.Color.Black;
            this.grpMessageEnc.Location = new System.Drawing.Point(16, 256);
            this.grpMessageEnc.Name = "grpMessageEnc";
            this.grpMessageEnc.Size = new System.Drawing.Size(544, 136);
            this.grpMessageEnc.TabIndex = 13;
            this.grpMessageEnc.TabStop = false;
            this.grpMessageEnc.Text = " Message to hide";
            // 
            // txtMessageEnc
            // 
            this.txtMessageEnc.Location = new System.Drawing.Point(8, 16);
            this.txtMessageEnc.Multiline = true;
            this.txtMessageEnc.Name = "txtMessageEnc";
            this.txtMessageEnc.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.txtMessageEnc.Size = new System.Drawing.Size(528, 112);
            this.txtMessageEnc.TabIndex = 4;
            // 
            // btnCover
            // 
            this.btnCover.Location = new System.Drawing.Point(480, 222);
            this.btnCover.Name = "btnCover";
            this.btnCover.Size = new System.Drawing.Size(75, 23);
            this.btnCover.TabIndex = 12;
            this.btnCover.Text = "Browse...";
            this.btnCover.Click += new System.EventHandler(this.btnCover_Click);
            // 
            // txtCover
            // 
            this.txtCover.Location = new System.Drawing.Point(120, 224);
            this.txtCover.Name = "txtCover";
            this.txtCover.Size = new System.Drawing.Size(344, 20);
            this.txtCover.TabIndex = 11;
            // 
            // lblSelectCover
            // 
            this.lblSelectCover.ForeColor = System.Drawing.Color.Black;
            this.lblSelectCover.Location = new System.Drawing.Point(21, 227);
            this.lblSelectCover.Name = "lblSelectCover";
            this.lblSelectCover.Size = new System.Drawing.Size(96, 16);
            this.lblSelectCover.TabIndex = 9;
            this.lblSelectCover.Text = " Select Cover : ";
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.picStegoFileEnc);
            this.groupBox2.Location = new System.Drawing.Point(352, 8);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(168, 184);
            this.groupBox2.TabIndex = 1;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Stego File";
            // 
            // picStegoFileEnc
            // 
            this.picStegoFileEnc.Location = new System.Drawing.Point(8, 24);
            this.picStegoFileEnc.Name = "picStegoFileEnc";
            this.picStegoFileEnc.Size = new System.Drawing.Size(150, 150);
            this.picStegoFileEnc.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.picStegoFileEnc.TabIndex = 2;
            this.picStegoFileEnc.TabStop = false;
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.picCover);
            this.groupBox1.Location = new System.Drawing.Point(72, 8);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(168, 184);
            this.groupBox1.TabIndex = 0;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Cover";
            // 
            // picCover
            // 
            this.picCover.Location = new System.Drawing.Point(8, 24);
            this.picCover.Name = "picCover";
            this.picCover.Size = new System.Drawing.Size(150, 150);
            this.picCover.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.picCover.TabIndex = 1;
            this.picCover.TabStop = false;
            // 
            // tabDecoding
            // 
            this.tabDecoding.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(192)))), ((int)(((byte)(255)))));
            this.tabDecoding.Controls.Add(this.grpMessageDec);
            this.tabDecoding.Controls.Add(this.btnDecode);
            this.tabDecoding.Controls.Add(this.txtPasswordDec);
            this.tabDecoding.Controls.Add(this.lblPasswordDec);
            this.tabDecoding.Controls.Add(this.btnStegoFile);
            this.tabDecoding.Controls.Add(this.txtStegoFileDec);
            this.tabDecoding.Controls.Add(this.lblStegoFile);
            this.tabDecoding.Controls.Add(this.groupBox3);
            this.tabDecoding.Location = new System.Drawing.Point(4, 22);
            this.tabDecoding.Name = "tabDecoding";
            this.tabDecoding.Size = new System.Drawing.Size(640, 467);
            this.tabDecoding.TabIndex = 1;
            this.tabDecoding.Text = "Decoding";
            // 
            // grpMessageDec
            // 
            this.grpMessageDec.Controls.Add(this.txtMessageDec);
            this.grpMessageDec.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.grpMessageDec.ForeColor = System.Drawing.Color.Black;
            this.grpMessageDec.Location = new System.Drawing.Point(40, 328);
            this.grpMessageDec.Name = "grpMessageDec";
            this.grpMessageDec.Size = new System.Drawing.Size(536, 136);
            this.grpMessageDec.TabIndex = 18;
            this.grpMessageDec.TabStop = false;
            this.grpMessageDec.Text = " Hidden message";
            // 
            // txtMessageDec
            // 
            this.txtMessageDec.Location = new System.Drawing.Point(8, 16);
            this.txtMessageDec.Multiline = true;
            this.txtMessageDec.Name = "txtMessageDec";
            this.txtMessageDec.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
            this.txtMessageDec.Size = new System.Drawing.Size(520, 112);
            this.txtMessageDec.TabIndex = 4;
            // 
            // btnDecode
            // 
            this.btnDecode.Location = new System.Drawing.Point(493, 278);
            this.btnDecode.Name = "btnDecode";
            this.btnDecode.Size = new System.Drawing.Size(75, 23);
            this.btnDecode.TabIndex = 17;
            this.btnDecode.Text = "Decode...";
            this.btnDecode.Click += new System.EventHandler(this.btnDecode_Click);
            // 
            // txtPasswordDec
            // 
            this.txtPasswordDec.Location = new System.Drawing.Point(142, 279);
            this.txtPasswordDec.Name = "txtPasswordDec";
            this.txtPasswordDec.Size = new System.Drawing.Size(328, 20);
            this.txtPasswordDec.TabIndex = 16;
            // 
            // lblPasswordDec
            // 
            this.lblPasswordDec.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblPasswordDec.ForeColor = System.Drawing.Color.Black;
            this.lblPasswordDec.Location = new System.Drawing.Point(64, 283);
            this.lblPasswordDec.Name = "lblPasswordDec";
            this.lblPasswordDec.Size = new System.Drawing.Size(72, 16);
            this.lblPasswordDec.TabIndex = 15;
            this.lblPasswordDec.Text = " Password : ";
            // 
            // btnStegoFile
            // 
            this.btnStegoFile.Location = new System.Drawing.Point(493, 232);
            this.btnStegoFile.Name = "btnStegoFile";
            this.btnStegoFile.Size = new System.Drawing.Size(75, 23);
            this.btnStegoFile.TabIndex = 13;
            this.btnStegoFile.Text = "Browse...";
            this.btnStegoFile.Click += new System.EventHandler(this.btnStegoFile_Click);
            // 
            // txtStegoFileDec
            // 
            this.txtStegoFileDec.Location = new System.Drawing.Point(142, 234);
            this.txtStegoFileDec.Name = "txtStegoFileDec";
            this.txtStegoFileDec.Size = new System.Drawing.Size(328, 20);
            this.txtStegoFileDec.TabIndex = 12;
            // 
            // lblStegoFile
            // 
            this.lblStegoFile.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblStegoFile.ForeColor = System.Drawing.Color.Black;
            this.lblStegoFile.Location = new System.Drawing.Point(64, 235);
            this.lblStegoFile.Name = "lblStegoFile";
            this.lblStegoFile.Size = new System.Drawing.Size(72, 16);
            this.lblStegoFile.TabIndex = 11;
            this.lblStegoFile.Text = "Stego File : ";
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.picStegoFileDec);
            this.groupBox3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.groupBox3.ForeColor = System.Drawing.SystemColors.ControlText;
            this.groupBox3.Location = new System.Drawing.Point(200, 16);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(168, 184);
            this.groupBox3.TabIndex = 10;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Stego File";
            // 
            // picStegoFileDec
            // 
            this.picStegoFileDec.Location = new System.Drawing.Point(8, 24);
            this.picStegoFileDec.Name = "picStegoFileDec";
            this.picStegoFileDec.Size = new System.Drawing.Size(150, 150);
            this.picStegoFileDec.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.picStegoFileDec.TabIndex = 1;
            this.picStegoFileDec.TabStop = false;
            // 
            // tabPage1
            // 
            this.tabPage1.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(192)))), ((int)(((byte)(255)))));
            this.tabPage1.Controls.Add(this.button3);
            this.tabPage1.Controls.Add(this.button2);
            this.tabPage1.Controls.Add(this.label4);
            this.tabPage1.Controls.Add(this.progressBar1);
            this.tabPage1.Controls.Add(this.textBox3);
            this.tabPage1.Controls.Add(this.label3);
            this.tabPage1.Controls.Add(this.textBox2);
            this.tabPage1.Controls.Add(this.label2);
            this.tabPage1.Controls.Add(this.button1);
            this.tabPage1.Controls.Add(this.label1);
            this.tabPage1.Controls.Add(this.textBox1);
            this.tabPage1.Controls.Add(this.groupBox4);
            this.tabPage1.Location = new System.Drawing.Point(4, 22);
            this.tabPage1.Name = "tabPage1";
            this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
            this.tabPage1.Size = new System.Drawing.Size(640, 467);
            this.tabPage1.TabIndex = 2;
            this.tabPage1.Text = "Transfer";
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(50, 268);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(65, 13);
            this.label1.TabIndex = 2;
            this.label1.Text = "Select File : ";
            // 
            // textBox1
            // 
            this.textBox1.Location = new System.Drawing.Point(121, 265);
            this.textBox1.Name = "textBox1";
            this.textBox1.Size = new System.Drawing.Size(336, 20);
            this.textBox1.TabIndex = 1;
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.pictureBox1);
            this.groupBox4.Location = new System.Drawing.Point(201, 39);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(200, 192);
            this.groupBox4.TabIndex = 0;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Stego Image";
            // 
            // pictureBox1
            // 
            this.pictureBox1.Location = new System.Drawing.Point(12, 22);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(177, 157);
            this.pictureBox1.TabIndex = 0;
            this.pictureBox1.TabStop = false;
            // 
            // menuStrip1
            // 
            this.menuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fileToolStripMenuItem,
            this.viewToolStripMenuItem,
            this.helpToolStripMenuItem});
            this.menuStrip1.Location = new System.Drawing.Point(0, 0);
            this.menuStrip1.Name = "menuStrip1";
            this.menuStrip1.Size = new System.Drawing.Size(648, 24);
            this.menuStrip1.TabIndex = 1;
            this.menuStrip1.Text = "menuStrip1";
            // 
            // fileToolStripMenuItem
            // 
            this.fileToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.exitToolStripMenuItem});
            this.fileToolStripMenuItem.Name = "fileToolStripMenuItem";
            this.fileToolStripMenuItem.Size = new System.Drawing.Size(35, 20);
            this.fileToolStripMenuItem.Text = "File";
            // 
            // exitToolStripMenuItem
            // 
            this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
            this.exitToolStripMenuItem.Size = new System.Drawing.Size(103, 22);
            this.exitToolStripMenuItem.Text = "Exit";
            // 
            // viewToolStripMenuItem
            // 
            this.viewToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.fullScreenToolStripMenuItem});
            this.viewToolStripMenuItem.Name = "viewToolStripMenuItem";
            this.viewToolStripMenuItem.Size = new System.Drawing.Size(41, 20);
            this.viewToolStripMenuItem.Text = "View";
            // 
            // fullScreenToolStripMenuItem
            // 
            this.fullScreenToolStripMenuItem.Name = "fullScreenToolStripMenuItem";
            this.fullScreenToolStripMenuItem.Size = new System.Drawing.Size(137, 22);
            this.fullScreenToolStripMenuItem.Text = "Full Screen";
            // 
            // helpToolStripMenuItem
            // 
            this.helpToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
            this.howToUseToolStripMenuItem,
            this.contentsToolStripMenuItem});
            this.helpToolStripMenuItem.Name = "helpToolStripMenuItem";
            this.helpToolStripMenuItem.Size = new System.Drawing.Size(40, 20);
            this.helpToolStripMenuItem.Text = "Help";
            // 
            // howToUseToolStripMenuItem
            // 
            this.howToUseToolStripMenuItem.Name = "howToUseToolStripMenuItem";
            this.howToUseToolStripMenuItem.Size = new System.Drawing.Size(139, 22);
            this.howToUseToolStripMenuItem.Text = "How to use";
            // 
            // contentsToolStripMenuItem
            // 
            this.contentsToolStripMenuItem.Name = "contentsToolStripMenuItem";
            this.contentsToolStripMenuItem.Size = new System.Drawing.Size(139, 22);
            this.contentsToolStripMenuItem.Text = "Contents";
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(483, 263);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(75, 23);
            this.button1.TabIndex = 14;
            this.button1.Text = "Browse...";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(80, 315);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(35, 13);
            this.label2.TabIndex = 15;
            this.label2.Text = "Port : ";
            // 
            // textBox2
            // 
            this.textBox2.Location = new System.Drawing.Point(121, 312);
            this.textBox2.Name = "textBox2";
            this.textBox2.Size = new System.Drawing.Size(100, 20);
            this.textBox2.TabIndex = 16;
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(227, 315);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(67, 13);
            this.label3.TabIndex = 17;
            this.label3.Text = "IP Address : ";
            // 
            // textBox3
            // 
            this.textBox3.Location = new System.Drawing.Point(298, 312);
            this.textBox3.Name = "textBox3";
            this.textBox3.Size = new System.Drawing.Size(159, 20);
            this.textBox3.TabIndex = 18;
            // 
            // progressBar1
            // 
            this.progressBar1.Location = new System.Drawing.Point(121, 365);
            this.progressBar1.Name = "progressBar1";
            this.progressBar1.Size = new System.Drawing.Size(437, 23);
            this.progressBar1.TabIndex = 19;
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(58, 370);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(57, 13);
            this.label4.TabIndex = 20;
            this.label4.Text = "Progress : ";
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(241, 404);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(117, 37);
            this.button2.TabIndex = 21;
            this.button2.Text = "Send...";
            // 
            // button3
            // 
            this.button3.Location = new System.Drawing.Point(483, 310);
            this.button3.Name = "button3";
            this.button3.Size = new System.Drawing.Size(75, 23);
            this.button3.TabIndex = 22;
            this.button3.Text = "Connect...";
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(648, 518);
            this.Controls.Add(this.tabControl1);
            this.Controls.Add(this.menuStrip1);
            this.MainMenuStrip = this.menuStrip1;
            this.Name = "Form1";
            this.Text = "Steganography";
            this.tabControl1.ResumeLayout(false);
            this.tabEncoding.ResumeLayout(false);
            this.tabEncoding.PerformLayout();
            this.grpMessageEnc.ResumeLayout(false);
            this.grpMessageEnc.PerformLayout();
            this.groupBox2.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.picStegoFileEnc)).EndInit();
            this.groupBox1.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.picCover)).EndInit();
            this.tabDecoding.ResumeLayout(false);
            this.tabDecoding.PerformLayout();
            this.grpMessageDec.ResumeLayout(false);
            this.grpMessageDec.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.picStegoFileDec)).EndInit();
            this.tabPage1.ResumeLayout(false);
            this.tabPage1.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            this.menuStrip1.ResumeLayout(false);
            this.menuStrip1.PerformLayout();
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}


		private void btnCover_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog ofd = new OpenFileDialog();
			ofd.Multiselect = false;
			ofd.Filter = "Windows Bitmap (*.bmp)|*.bmp";
			if( ofd.ShowDialog(this) != DialogResult.Cancel)
			{
				txtCover.Text = ofd.FileName;
				Image pic = new Bitmap(txtCover.Text);
				FitPic(pic, picCover);
				picCover.Image = new Bitmap(pic);
				pic.Dispose();

			}		
		}

		private void FitPic(Image pic, PictureBox box) 
		{
			box.Width = 150;
			box.Height = 150;

			int width = pic.Width;
			int height = pic.Height;

			if(width > height) 
			{
				int size = box.Width;
				int x = height * size / width;
				box.Height = x;
			}
			else 
			{
				int size = box.Height;
				int x = width * size / height;
				box.Width = x;
			}
		}

		private void btnEncode_Click(object sender, System.EventArgs e)
		{
			string pic = txtCover.Text;
			string message = txtMessageEnc.Text;
			string password = txtPasswordEnc.Text;
			string stegoFile = txtStegoFileEnc.Text;

			if(pic == "") 
			{
				MessageBox.Show("Select the cover");
				return;
			}

			if(message == "") 
			{
				MessageBox.Show("Type the message to hide");
				return;
			}	

			if(stegoFile == "") 
			{
				MessageBox.Show("Type the name of the stego file");
				return;
			}
	
			if(!stegoFile.ToLower().EndsWith(".bmp"))
				stegoFile += ".bmp";
			
			try 
			{

				// Open the cover
				ICoverFile cover = new BMPCoverFile(pic);

				// Create the stego file
				cover.CreateStegoFile(stegoFile, message, password);

				Result("Message hidden successfully");

				Image stegoPic = new Bitmap(stegoFile);
				FitPic(stegoPic, picStegoFileEnc);
				picStegoFileEnc.Image = new Bitmap(stegoPic);
				stegoPic.Dispose();

			} catch(Exception ex) {

				Result(ex.Message);

			}

		}

		private void Result(string message) 
		{

			MessageBox.Show(message);

		}

		private void btnDecode_Click(object sender, System.EventArgs e)
		{
			string stegoFile = txtStegoFileDec.Text;
			string password = txtPasswordDec.Text;

			if(stegoFile == "") 
			{
				MessageBox.Show("Select the stego file to decode");
				return;
			}	
	

			try {

				// Open the stego file
				IStegoFile stego = new BMPStegoFile(stegoFile, password);

				// Show the hidden message
				txtMessageDec.Text = stego.HiddenMessage;

			}  catch(Exception ex) {

				Result(ex.Message);

			}

		}

		private void btnStegoFile_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog ofd = new OpenFileDialog();
			ofd.Multiselect = false;
			ofd.Filter = "Windows Bitmap (*.bmp)|*.bmp";
			if( ofd.ShowDialog(this) != DialogResult.Cancel)
			{
				txtStegoFileDec.Text = ofd.FileName;
				Image pic = new Bitmap(txtStegoFileDec.Text);
				FitPic(pic, picStegoFileDec);
				picStegoFileDec.Image = new Bitmap(pic);
				pic.Dispose();

			}		
		}

		private void btnStegoFileEnc_Click(object sender, System.EventArgs e)
		{
			OpenFileDialog ofd = new OpenFileDialog();
 
			ofd.Filter = "Windows Bitmap (*.bmp)|*.bmp";
			ofd.RestoreDirectory = true ;
			ofd.CheckFileExists = false;
 
			if(ofd.ShowDialog() == DialogResult.OK)
			{
				txtStegoFileEnc.Text = ofd.FileName;
			}
		
		}

		private void tabControl1_SelectedIndexChanged(object sender, System.EventArgs e)
		{
		
		}

	}
}
