using System;
using System.IO;
using System.Security.Cryptography;

namespace Steganography
{
	
	public class CryptoHelper
	{

		public static byte[] Encrypt(byte[] message, string password) 
		{
			return EncryptDecrypt(message, password);
		}
		
		public static byte[] Decrypt(byte[] message, string password) 
		{
			return EncryptDecrypt(message, password);
		}

		private static byte[] EncryptDecrypt(byte[] message, string password) 
		{
						
			int passwordLength = password.Length;
			if(passwordLength == 0)
				password = "devx";

			byte[] salt = {31, 1, 76};
			PasswordDeriveBytes pdb = new PasswordDeriveBytes(password, salt);
			byte[] key = pdb.GetBytes(128);
						
			byte[] retMessage = new byte[message.Length];
			for (int i = 0; i< message.Length; i++)
			{				
				int index = i % key.Length;
				retMessage[i] = (Byte)(key[index] ^ message[i]);								
			}
						
			return retMessage;
		}
				
	}
}
